Summary: Audit event viewer
Name: audit-viewer
Version: 0.4
Release: 1%{?dist}
License: GPLv2
Group: Applications/System
URL: https://fedorahosted.org/audit-viewer/
Source0: https://fedorahosted.org/releases/a/u/audit-viewer/audit-viewer-%{version}.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: desktop-file-utils, gettext, perl(XML::Parser), python
Requires: audit-libs-python, gnome-python2-gnome, gnome-python2-rsvg
Requires: pygtk2-libglade, pychart, python-gtkextra, python-sexy, usermode
Requires: usermode-gtk

%description
A graphical utility for viewing and summarizing audit events.

%prep
%setup -q

%build
%configure --disable-update-mimedb
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-fedora

%find_lang audit-viewer

desktop-file-install --vendor=fedora \
	--dir $RPM_BUILD_ROOT/%{_datadir}/applications --delete-original \
	$RPM_BUILD_ROOT/%{_datadir}/applications/audit-viewer.desktop

%post
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f audit-viewer.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/audit-viewer
%{_datadir}/applications/fedora-audit-viewer.desktop
%{_datadir}/audit-viewer
%{_datadir}/mime/packages/audit-viewer.xml
%{_libexecdir}/audit-viewer-server
%{_libexecdir}/audit-viewer-server-real
%config(noreplace) %{_sysconfdir}/pam.d/audit-viewer-server
%config(noreplace) %{_sysconfdir}/security/console.apps/audit-viewer-server

%changelog
* Tue Oct 28 2008 Miloslav Trmač <mitr@redhat.com> - 0.4-1
- Update to audit-viewer-0.4.

* Tue Aug 26 2008 Miloslav Trmač <mitr@redhat.com> - 0.3-2
- s/Requires: gnome-python2/&-gnome/
  Resolves: #460031

* Wed Jun 25 2008 Miloslav Trmač <mitr@redhat.com> - 0.3-1
- Update to audit-viewer-0.3.

* Fri Apr 18 2008 Miloslav Trmač <mitr@redhat.com> - 0.2-2
- Add URL:
- Modify .desktop file installation to conform to guidelines
- Add missing BuildRequires:

* Tue Apr 15 2008 Miloslav Trmač <mitr@redhat.com> - 0.2-1
- Update to audit-viewer-0.2.

* Fri Feb  1 2008 Miloslav Trmač <mitr@redhat.com>
- Initial package.
